package com.coydone.entity;

import java.io.Serializable;
import java.util.List;

//年级表
public class Grade implements Serializable {
    private Integer gid;
    private String gname;

    //在grade表中添加Student表的list集合
    private List<Student> students;

    public List<Student> getStudents() {
        return students;
    }

    public void setStudents(List<Student> students) {
        this.students = students;
    }

    public Grade() {
    }

    public Grade(Integer gid, String gname) {
        this.gid = gid;
        this.gname = gname;
    }

    public Integer getGid() {
        return gid;
    }

    public void setGid(Integer gid) {
        this.gid = gid;
    }

    public String getGname() {
        return gname;
    }

    public void setGname(String gname) {
        this.gname = gname;
    }

    @Override
    public String toString() {
        return "Grade{" +
                "gid=" + gid +
                ", gname='" + gname + '\'' +
                '}';
    }
}
