package com.coydone.mapper;

import com.coydone.entity.Student;
import com.coydone.entity.StudentCondition;

import java.util.List;
import java.util.Map;

public interface StudentMapper {
    List<Student> findAll();

    int addStudent(Student student);

    int updateStudent(Student student);

    //根据id删除
    int deleteStudent(Integer xh);

    //查询单个
    Student findById(Integer xh);

    //通过条件查询学生
    List<Student> findStudentByCondition(StudentCondition condition);

    //条件查询总记录数
    int findCounts(StudentCondition condition);

    //多条件分页查询
    List<Student> findAllByLimit(Map<String, Object> map);

    //查询所有学生及所在年级
    List<Student> findAllStudentAndGrade();

    List<Student> findAllStudentAndGrade2();
}
